org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query

## Interface NavigationQuery

All Superinterfaces:
  Query

    public interface NavigationQuery
    extends Query

A representation of the model object 'Navigation Query'. This query points to a typed element (another attribute, reference or operation for example) that lends it value to the query.

The following features are supported:

- `Path`
- `Fail On Error`

See Also:
  `QueryPackage.getNavigationQuery()`
Generated:
Model:

### Method Summary

All Methods Instance Methods Abstract Methods
`<any>` `getPath()` Returns the value of the 'Path' reference list.
`boolean` `isFailOnError()` Returns the value of the 'Fail On Error' attribute.
`void` `setFailOnError(boolean value)` Sets the value of the '`Fail On Error`' attribute.

### Methods inherited from interface org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.extensible.Query

`isCanBeCached, isCanHaveSideEffects, setCanBeCached, setCanHaveSideEffects`

### Method Detail

#### getPath

    <any> getPath()

Returns the value of the 'Path' reference list. The list contents are of type `org.eclipse.emf.ecore.ETypedElement`.

If the meaning of the 'Path' reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Path' reference list.
See Also:
  `QueryPackage.getNavigationQuery_Path()`
Generated:
Model:
  required="true"

#### isFailOnError

    boolean isFailOnError()

Returns the value of the 'Fail On Error' attribute. The default value is `"true"`.

If the meaning of the 'Fail On Error' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Fail On Error' attribute.
See Also:
  `setFailOnError(boolean)`, `QueryPackage.getNavigationQuery_FailOnError()`
Generated:
Model:
  default="true"

#### setFailOnError

    void setFailOnError(boolean value)

Sets the value of the '`Fail On Error`' attribute.

Parameters:
  `value` - the new value of the 'Fail On Error' attribute.
See Also:
  `isFailOnError()`
Generated: